function filteredImage = minFilter(image, sigma)
    % minFilter : Calculates the minimum principal curvature of the image,
    %   ignoring negative values
    %
    % INPUT : 
    %       image : Image to be filtered
    %       sigma : Sigma of smoothing gaussian. Defines the space-scale of
    %       the filter.
    % OUTPUT : 
    %       min : Minimum principal curvature of the image
    %
    % Copyright (C) 2016 Wiggins Lab
    % University of Washington, 2016

    [~, ~, filteredImage] = curveFilter(image, sigma);
    
    filteredImage(filteredImage<0) = 0;
end